Crazy Eddies GUI System: CEGUI::FalagardListHeader Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Attributes | Static Protected Attributes
CEGUI::FalagardListHeader Class Reference

ListHeader class for the FalagardBase module. More...

Inheritance diagram for CEGUI::FalagardListHeader:
[legend]
Collaboration diagram for CEGUI::FalagardListHeader:
[legend]

List of all members.

## Public Member Functions
| FalagardListHeader (const String &type)
| Constructor.
const String & | getSegmentWidgetType () const
void | setSegmentWidgetType (const String &type)
void | render ()
| Populate render cache.
ListHeaderSegment * | createNewSegment (const String &name) const
| Create and return a pointer to a new ListHeaderSegment based object.
void | destroyListSegment (ListHeaderSegment *segment) const
| Cleanup and destroy the given ListHeaderSegment that was created via the createNewSegment method.
## Static Public Attributes
static const utf8 | TypeName []
| type name for this widget.
## Protected Attributes
String | d_segmentWidgetType
## Static Protected Attributes
static FalagardListHeaderProperties::SegmentWidgetType | d_segmentWidgetTypeProperty

## Detailed Description

ListHeader class for the FalagardBase module.

This class requires LookNFeel to be assigned. The LookNFeel should provide the following:

Property Initialisers: SegmentWidgetType - type of widget to create for segments.

Imagery States:

- Enabled - basic rendering for enabled state.
- Disabled - basic rendering for disabled state.

## Member Function Documentation

ListHeaderSegment* CEGUI::FalagardListHeader::createNewSegment | ( | const String & | name | ) | const`[virtual]`

Create and return a pointer to a new ListHeaderSegment based object.

Parameters:

  name | String object holding the name that should be given to the new Window.

Returns:
  Pointer to an ListHeaderSegment based object of whatever type is appropriate for this ListHeader.

Implements CEGUI::ListHeaderWindowRenderer.

void CEGUI::FalagardListHeader::destroyListSegment | ( | ListHeaderSegment * | segment | ) | const`[virtual]`

Cleanup and destroy the given ListHeaderSegment that was created via the createNewSegment method.

Parameters:

  segment | Pointer to a ListHeaderSegment based object to be destroyed.

Returns:
  Nothing.

Implements CEGUI::ListHeaderWindowRenderer.

void CEGUI::FalagardListHeader::render | ( |  | ) | `[virtual]`

Populate render cache.

This method must be implemented by all window renderers and should perform the rendering operations needed for this widget. Normally using the Falagard API...

Implements CEGUI::WindowRenderer.